from app.tables.physattack import AttackerWeaponClassMatrix, AttackerHitDiceMatrix


def get_weapon_class_threshold(awc, dac):
    awc_table = AttackerWeaponClassMatrix()
    return awc_table.get_attack_score(awc, dac)


def get_hit_dice_threshold(ahd, dac):
    ahd_table = AttackerHitDiceMatrix()
    return ahd_table.get_attack_score(ahd, dac)

